import request from '../../utils/request'

export function login(data) {
  return request({
    url: '/auth/api/loginEnhanced',
    method: 'post',
    data
  })
}

export function retrievePassword(data) {
  return request({
    url: '/auth/api/retrievePassword', // 找回密码
    method: 'post',
    data: data
  })
}
export function getCompanyInfo() {
  return request({
    url: '/company/query/companyInfoByDomainName', // 通过域名获取公司信息
    method: 'get',
    params: {"domainName":"YLYY"}
  })
}
export function checkPassword(data) {
  return request({
    url: '/auth/api/checkPassword', // 验证密码
    method: 'post',
    data: data
  })
}
export function getLoginInfo(data){
  return request({
    url: '/auth/query/loginInfo', //当前登录人信息
    method: 'get',
    params: {}
  })
}
export function loginOut(data){
  return request({
    url: '/auth/api/logout', //登出
    method: 'post',
    data
  })
}

